/**
 * Example of how you could re-use GROQ queries across different contexts with Javascript.
 * As your schema evolves, this pattern will be useful to keep your data in sync across all surfaces.
 */
export async function getPostsQuery() {
  const data = await client.fetch(`*[_type == "post"] {
    title,
    slug,
    coverImage {
      ...,
      asset->
    },
    body,
  }`);

  if (data) {
    return {
      posts: data
    };
  }
  return {
    status: 500,
    body: new Error("Internal Server Error")
  };
}